Bug 536584 - (RHQ-919) InventoryManager.mergeResource(Resource) recurses when it should not
InventoryManager.mergeResource(Resource) recurses when it should not
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
Reported: 2008-10-02 08:44 EDT by Ian Springer
Modified: 2014-05-15 17:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-05-15 17:33:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2008-10-02 08:44:00 EDT
It should only recurse if the Resource that was passed in has children, but it currently recurses on the children of the merged Resource (i.e. even if the merged Resource was an existing Resource). This results in a bunch of unnecessary work being done when merging a modified Resource (i.e. all of its descendants are also "merged" with themselves).
Comment 1 Red Hat Bugzilla 2009-11-10 16:19:37 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-919
Comment 2 wes hayutin 2010-02-16 11:54:18 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 11:59:39 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-10-05 09:36:42 EDT
Triaged 30-Sep

Note You need to log in before you can comment on or make changes to this bug.